Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.monitoring.core.registry
Enum ControlFlowRegistry

    java.lang.Object
      java.lang.Enum<ControlFlowRegistry>
          kieker.monitoring.core.registry.ControlFlowRegistry

All Implemented Interfaces:
  Serializable, Comparable<ControlFlowRegistry>

    public enum ControlFlowRegistry

extends Enum<ControlFlowRegistry>

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller

Enum Constant Summary
`INSTANCE` The singleton instance.

Method Summary
`long` | `getAndStoreUniqueThreadLocalTraceId()` This method returns a thread-local traceid which is globally unique and stored it local for the thread.
`long` | `getUniqueTraceId()` This methods returns a globally unique trace id.
`int` | `incrementAndRecallThreadLocalEOI()` Since this method accesses a ThreadLocal variable, it is not (necessary to be) thread-safe.
`int` | `recallAndIncrementThreadLocalESS()` Since this method accesses a ThreadLocal variable, it is not (necessary to be) thread-safe.
`int` | `recallThreadLocalEOI()` This method returns the thread-local curEoi previously registered using the method registerTraceId(curTraceId).
`int` | `recallThreadLocalESS()` This method returns the thread-local curEss previously registered using the method registerTraceId(curTraceId).
`long` | `recallThreadLocalTraceId()` This method returns the thread-local traceid previously registered using the method registerTraceId(curTraceId).
`void` | `storeThreadLocalEOI(int eoi)` Used to explicitly register an curEoi.
`void` | `storeThreadLocalESS(int ess)` Used to explicitly register a execution stack size (ess) value.
`void` | `storeThreadLocalTraceId(long traceId)` This method stores a thread-local curTraceId.
`void` | `unsetThreadLocalEOI()` This method unsets a previously registered traceid.
`void` | `unsetThreadLocalESS()` This method unsets a previously registered curEss.
`void` | `unsetThreadLocalTraceId()` This method unsets a previously registered traceid.
`static ControlFlowRegistry` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ControlFlowRegistry[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSTANCE

    public static final ControlFlowRegistry INSTANCE

  The singleton instance.

Method Detail

### values

    public static ControlFlowRegistry[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ControlFlowRegistry c : ControlFlowRegistry.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ControlFlowRegistry valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getUniqueTraceId

    public final long getUniqueTraceId()

  This methods returns a globally unique trace id.

  Returns:
    a globally unique trace id.

### getAndStoreUniqueThreadLocalTraceId

    public final long getAndStoreUniqueThreadLocalTraceId()

  This method returns a thread-local traceid which is globally unique and stored it local for the thread. The thread is responsible for invalidating the stored curTraceId using the method unsetThreadLocalTraceId()!

  Returns:
    A unique trace ID.

### storeThreadLocalTraceId

    public final void storeThreadLocalTraceId(long traceId)

  This method stores a thread-local curTraceId. The thread is responsible for invalidating the stored curTraceId using the method unsetThreadLocalTraceId()!

  Parameters:
    `traceId` - The trace ID to store in a thread-local way.

### recallThreadLocalTraceId

    public final long recallThreadLocalTraceId()

  This method returns the thread-local traceid previously registered using the method registerTraceId(curTraceId).

  Returns:
    the traceid. -1 if no curTraceId has been registered for this thread.

### unsetThreadLocalTraceId

    public final void unsetThreadLocalTraceId()

  This method unsets a previously registered traceid.

### storeThreadLocalEOI

    public final void storeThreadLocalEOI(int eoi)

  Used to explicitly register an curEoi. The thread is responsible for invalidating the stored curTraceId using the method unsetThreadLocalEOI()!

  Parameters:
    `eoi` - The execution order index to register.

### incrementAndRecallThreadLocalEOI

    public final int incrementAndRecallThreadLocalEOI()

  Since this method accesses a ThreadLocal variable, it is not (necessary to be) thread-safe.

  Returns:
    Increments the thread local execution order index and returns it.

### recallThreadLocalEOI

    public final int recallThreadLocalEOI()

  This method returns the thread-local curEoi previously registered using the method registerTraceId(curTraceId).

  Returns:
    the sessionid. -1 if no curEoi registered.

### unsetThreadLocalEOI

    public final void unsetThreadLocalEOI()

  This method unsets a previously registered traceid.

### storeThreadLocalESS

    public final void storeThreadLocalESS(int ess)

  Used to explicitly register a execution stack size (ess) value. The thread is responsible for invalidating the stored value using the method `unsetThreadLocalESS()`!

  Parameters:
    `ess` - The execution stack size to store.

### recallAndIncrementThreadLocalESS

    public final int recallAndIncrementThreadLocalESS()

  Since this method accesses a ThreadLocal variable, it is not (necessary to be) thread-safe.

  Returns:
    The current execution stack size, before the incrementation.

### recallThreadLocalESS

    public final int recallThreadLocalESS()

  This method returns the thread-local curEss previously registered using the method registerTraceId(curTraceId).

  Returns:
    the sessionid. -1 if no curEss registered.

### unsetThreadLocalESS

    public final void unsetThreadLocalESS()

  This method unsets a previously registered curEss.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net